#include <iostream>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin >> n >> m;
    int a[n],b[n],c[m],d[m];
    for(int i=0; i<n; i++)
        cin >> a[i] >> b[i];
    for(int i=0; i<m; i++)
        cin >> c[i] >> d[i];
    if(n==1)
    {
        int ans[m],suma=0;
        for(int i=0; i<m; i++)
        {
            b[0]-=c[i];
            ans[i]=c[i];
            suma+=c[i];
        }
        for(int i=0; i<m; i++)
        {
            if(d[i]-c[i]!=0)
            {
                if(b[0]-d[i]+c[i]>0)
                {
                    b[0]-=d[i]-c[i];
                    ans[i]+=d[i]-c[i];
                    suma+=d[i]-c[i];
                }
                else
                {
                    ans[i]+=b[0];
                    suma+=b[0];
                    break;
                }
            }
        }
        int j=0;
        for(int i=0; i<m; i++)
            if(ans[i]>0)
                j++;
        cout << suma << endl << j << endl;
        for(int i=0; i<m; i++)
            if(ans[i]>0)
                cout << "1 " << i+1 << " " << ans[i] << endl;
    }
    else
    {
        int ans[n][m],suma=0,k=0;
        for(int i=0; i<n; i++)
        {
            for(int j=0; j<m; j++)
            {
                ans[i][j]=c[j];
                b[i]-=c[j];
                d[j]-=c[j];
            }
            suma+=a[i];
        }
        for(int i=0; i<n; i++)
        {
            for(int j=0; j<m; j++)
            {
                if(d[j]<b[i])
                {
                    ans[i][j]+=d[j];
                    b[i]-=d[j];
                }
                else
                {
                    ans[i][j]+=b[i];
                    break;
                }
            }
        }
        for(int i=0; i<n; i++)
        {
            for(int j=0; j<m; j++)
                if(ans[i][j]>0)
                    k++;
        }
        cout << suma << endl << k << endl;
        for(int i=0; i<n; i++)
        {
            for(int j=0; j<m; j++)
                if(ans[i][j]>0)
                    cout << i+1 << " " << j+1 << " " << ans[i][j] << endl;
        }
    }
    return 0;
}